TUNE2FS(8)

NAME
tune2fs - adjust tunable filesystem parameters on second extended filesystems

SYNOPSIS
tune2fs [ -l ] [ -c max-mount-counts ] [ -e errors-behavior ] [ -i interval-between-checks ] [ -j ] [ -J journal-options ] [ -m reserved-blocks-percentage ] [ -r reserved-blocks-count ] [ -s sparse-super-flag ] [ -u user ] [ -g group ] [ -C mount-count ] [ -L volume-name ] [ -M last-mounted-directory ] [ -O [^]feature[,...] ] [ -U UUID ] device

DESCRIPTION
tune2fs adjusts tunable filesystem parameters on a Linux second extended filesystem.

OPTIONS

-c max-mount-counts
    Adjust the maximal mounts count between two filesystem checks. If max-mount-counts is 0 then the number of times the filesystem is mounted will be disregarded by e2fsck and the kernel.

-C mount-count
    Set the number of times the filesystem has been mounted. Can be used in conjunction with -c to force an fsck on the filesystem at the next reboot.

-e error-behavior
    Change the behavior of the kernel code when errors are detected. error-behavior can be one of the following:

    continue
        Continue normal execution.

    remount-ro
        Remount filesystem read-only.

    panic
        Cause a kernel panic.

-g group
    Set the group which can use reserved filesystem blocks. The group parameter can be a numerical gid or a group name. If a group name is given, it is converted to a numerical gid before it is stored in the superblock.

-i  interval-between-checks[d|m|w]
    Adjust the maximal time between two filesystem checks. No postfix or d result in days, m in months, and w in weeks. A value of zero will disable the timedependent checking.

-j  Add an ext3 journal to the filesystem. If the -J option is not specified, the default journal parameters will be used to create an appropriately sized journal (given the size of the filesystem) stored within the filesystem. Note that you must be using a kernel which has ext3 support in order to actually make use of the journal.

-J journal-options
    Override the default ext3 journal parameters. Journal options are comma separated, and may take an argument using the equals ('=') sign. The following journal options are supported:

    size=journal-size
        Create a journal stored in the filesystem of size journal-size megabytes. The size of the journal must be at least 1024 filesystem blocks (i.e., 1MB if using 1k blocks, 4MB if using 4k blocks, etc.) and may be no more than 102,400 filesystem blocks. There must be enough free space in the filesystem to create a journal of that size. @JDEV@.TP @JDEV@.BI device= external-journal @JDEV@Attach the filesystem to the journal block device located on @JDEV@.IR external-journal . @JDEV@to the filesystem. @JDEV@The external @JDEV@journal must have been already created using the command @JDEV@.IP @JDEV@.B mke2fs -O journal_dev @JDEV@.IR external-journal. @JDEV@.IP @JDEV@Note that @JDEV@.I external-journal @JDEV@must be formatted with the same block @JDEV@size as filesystems which will be using it.
@JDEV@.IP @JDEV@Only one of the @JDEV@.BR size " or " device @JDEV@options can be given for a filesystem.

-l  List the contents of the filesystem superblock.

-L volume-label
    Set the volume label of the filesystem. Ext2 filesystem labels can be at most 16 characters long; if volume-label is longer than 16 characters, tune2fs will truncate it and print a warning.

-m reserved-blocks-percentage
    Set the percentage of reserved filesystem blocks.

-M last-mounted-directory
    Set the last-mounted directory for the filesystem.

-O [^]feature[,...]
    Set or clear the indicated filesystem features (options) in the filesystem. More than one filesystem feature can be cleared or set by separating features with commas. Filesystem features prefixed with a caret character ('^') will be cleared in the filesystem's superblock; filesystem features without a prefix character or prefixed with a plus character ('+') will be added to the filesystem.

    The following filesystem features can be set or cleared using tune2fs:

    sparse_super
        Limit the number of backup superblocks to save space on large filesystems.

    filetype
        Store file type information in directory entries.

    has_journal
        Create an ext3 journal (as if using the -j option).

    After setting or clearing any filesystem feature, e2fsck(8) must be run on the filesystem to return the filesystem to a consistent state.

    Warning: Linux kernels before 2.0.39 and many 2.1 series kernels do not support the filesystems that use any of these features. Enabling certain filesystem features may prevent the filesystem from being mounted by kernels which do not support those features.

-r reserved-blocks-count
    Set the number of reserved filesystem blocks.

-s [0|1]
    Turn the sparse super feature off or on. Turning this feature on saves space on really big filesystems. This is the same as using the -O sparse_super option.

    Warning: Linux kernels before 2.0.39 do not support this feature. Neither do all Linux 2.1 kernels; please don't use this unless you know what you're doing! You need to run e2fsck(8) on the filesystem after changing this feature in order to have a valid filesystem.

-u user
    Set the user who can use the reserved filesystem blocks. user can be a numerical uid or a user name. If a user name is given, it is converted to a numerical uid before it is stored in the superblock.

-U UUID
    Set the universally unique identifier (UUID) of the filesystem to UUID. The format of the UUID is a series of hex digits separated by hypthens, like this: "c1b9d5a2-f162-11cf-9ece-0020afc76f16". The UUID parameter may also be one of the following:

    clear
        clear the filesystem UUID

    random
        generate a new randomly-generated UUID

    time
        generate a new time-based UUID

    See uuidgen(8) for more information. If the system does not have a good random number generator such as /dev/random or /dev/urandom, tune2fs will automatically use a time-based UUID instead of a randomly-generated UUID.

BUGS
We haven't found any bugs yet. That doesn't mean there aren't any...

AUTHOR
tune2fs was written by Remy Card <Remy.Card@linux.org>. tune2fs uses the ext2fs library written by Theodore Ts'o <tytso@mit.edu>. This manual page was written by Christian Kuhtz <chk@data-hh.Hanse.DE>. Timedependent checking was added by Uwe Ohse <uwe@tirka.gun.de>.

AVAILABILITY
tune2fs is part of the e2fsprogs package and is available from http://e2fsprogs.sourceforge.net.

SEE ALSO
dumpe2fs(8), e2fsck(8), mke2fs(8)